Can not load iBCS modules ?

Can not load iBCS modules ?

Post by Wesley Shi » Sat, 02 Nov 1996 04:00:00



Hi, everyone

  After recompile my kernel from 2.0.0 to 2.0.23, and still use the
  modules 2.0.0, my system can not find how to load iBCS modules.

  After recompile and install the kernel, I make a "make modules:
  then "make modules_install", it creates a new /lib/modules/2.0.23,
  just wonder how the new kernel access the new modules directory ?

  I try to copy modules iBCS.o to the new /lib/modules/2.0.0/misc from
  the /lib/modules/2.0.0/misc, insmod iBCS told me version number
  is compatible, but I can not find the iBCS source code to make
  it compiled, ( I probably already compiled it into the new kernel
  when "make config" , sorry for forgot and do not know how to
  find out what configration already been compiled after rebuilt the
  kernel )

  Any way to bring the modules back ? Hope I do not need to compile
  the kernel again :-(

  Thank you!

  Wesley Shih


 
 
 

Can not load iBCS modules ?

Post by Stan Brook » Sun, 10 Nov 1996 04:00:00




> [...]
>I'm having exactly the same problem in upgrading 2.0.0 --> 2.0.24. Someone
>on the net said I'd probably have to recompile iBCS, but gave no hints
>about how to do this -- like: where to get the source! If you get any
>answers, please let me know. My system is terminally funky without iBCS
>running (emacs won't load and other programs go to nullspace).
> [...]

Seems to be fairly recent stuff at

  tsx-11.mit.edu       linux/BETA

and

  ftp.cc.gatech.edu    linux/distributions/slackware/source/a/ibcs2/

I'm not using iBCS myself, but maybe this a least will give you
a starting point.

--
 --SJB        >>  no-junk-mail-please!  <<

 
 
 

1. Add me to the ibcs module not loading from Slackware 3.0 list...

Hello All,

I get the ibcs from a previous version error bullshit when I tried to load
Slackware 3.0 ELF from the Nov. 95 tooklit distribution.  Looking at the CD
I see the ibcs files all have 0 byte lengths- which seems to be a BAD thing.

So, I attempted to copy ibcs code from a previous version (the Aug. rel)
and recompiled.  The compile ran OK, the resulting kernel however does not.

What can I do?

Arthur Tyde

2. *$#^*#$ g++ optimization

3. Re : failure loading the iBCS module

4. Another Apache Problem

5. iBCS Module won't load

6. File permissions and account security with Apache virtual hosting.

7. Problem "loading the iBCS module"

8. /etc/bashrc

9. Wanted: a copy of the ibcs patched 1.0 kernel and ibcs module

10. Failed to load module "ati" (module does not exist,0)

11. iBCS module not autounloaded

12. ZIP not mounting: ppa.o module not loaded.

13. It's not bad canned meat...